### Enumeration

# Camel MimeFilterToHTMLFlags

#### Declaration

    flags Camel.MimeFilterToHTMLFlags

#### Description [src]

Flags for converting text/plain content into text/html.

#### Members

`CAMEL_MIME_FILTER_TOHTML_PRE`

  Enclose the content in <pre> … </pre> tags. Cannot be used together with `CAMEL_MIME_FILTER_TOHTML_DIV`.

  - Value: `1`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_CONVERT_NL`

  Convert newline characters to <br> tags.

  - Value: `2`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_CONVERT_SPACES`

  Convert space and tab characters to a non-breaking space (&nbsp;).

  - Value: `4`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_CONVERT_URLS`

  Convert recognized URLs to <a href=”foo”>foo</a>.

  - Value: `8`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_MARK_CITATION`

  Color quoted lines (lines beginning with ‘>’).

  - Value: `16`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_CONVERT_ADDRESSES`

  Convert mailto: URLs to <a href=”mailto:foo”>mailto:foo</a>.

  - Value: `32`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_ESCAPE_8BIT`

  Convert 8-bit characters to escaped hexdecimal (&#nnn;).

  - Value: `64`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_CITE`

  Prefix each line with “> “.

  - Value: `128`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_PRESERVE_8BIT`

  This flag is not used by `CamelMimeFilterToHTML`.

  - Value: `256`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_FORMAT_FLOWED`

  This flag is not used by `CamelMimeFilterToHTML`.

  - Value: `512`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_QUOTE_CITATION`

  Group lines beginning with one or more ‘>’ characters in <blockquote type=”cite”> … </blockquote> tags. The tags are nested according to the number of ‘>’ characters.

  - Value: `1024`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_DIV`

  Enclose the paragraphs in <div> … </div> tags. Cannot be used together with `CAMEL_MIME_FILTER_TOHTML_PRE`.

  - Value: `2048`
  - Available since: 1.2
`CAMEL_MIME_FILTER_TOHTML_PRESERVE_TABS`

  Set in combination with `CAMEL_MIME_FILTER_TOHTML_CONVERT_SPACES`, to keep tab characters. If not set, converts them into the spaces.

  - Value: `4096`
  - Available since: 1.2